> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rated.network/llms.txt
> Use this file to discover all available pages before exploring further.

# Delegator Rewards

This endpoint returns information about the rewards received by a delegator and the rewards it has missed out on over a number of checkpoints. The rewards can be broken down at a per checkpoint level or daily level as well.

Here's how to interpret the inputs required to operate it 👇

| Parameter   | Context                                                                                  |
| :---------- | :--------------------------------------------------------------------------------------- |
| from        | Starting (highest) checkpoint (integer, e.g. 54000) or UTC date (e.g. from="2023-11-22") |
| to          | Ending (lowest) checkpoint (integer, e.g. 52922) or UTC date (e.g. from="2023-10-31")    |
| granularity | The size of time increments you are looking to query. Can be `checkpoint` or `day`       |
| size        | The number of results included per page                                                  |


## OpenAPI

````yaml get /v0/polygon/delegators/{delegator_address}/rewards
openapi: 3.1.0
info:
  title: Rated API
  description: >

    Welcome to Rated API Swagger doc for developers! This doc outlines the Rated
    API functionality and API architecture.


    V0: It is separated into seven categories:


    -   **Validators**: Endpoints to query into individual validator indices or
    aggregations of validator indices.

    -   **Operators**: Endpoints to query into pre-materialized operator
    groupings.

    -   **Network**: Endpoints to query into network aggregate stats.

    -   **Slashings**: Endpoints to query into network aggregate stats.

    -   **Withdrawals (beta)**: Endpoints to query into when a withdrawal is
    expected to land.

    -   **Self Report (beta)**: Endpoint to query into all slashed validators
    and individual slashed validator indices


    V1: It is separated into six categories:

    -   **Overview**: Endpoints encapsulating the current status of operators,
    pools and validators.

    -   **Performance**: Endpoints that dive into performance and effectiveness
    metrics on execution and consensus layer for operators, pools and
    validators.

    -   **Rewards**: Endpoints that dive into relevant metrics around rewards
    and penalties for operators, pools and validators.

    -   **Private Sets**: Endpoints that aggregate custom group of validators
    privately for performance and reward drill downs.

    -   **Metadata**: Endpoints that provide metadata about mappings, slashings
    and APRs for validators, pools and operators.

    -   **Network**: Endpoints that provide network level metrics about
    performance, rewards, and distributions.


    [Terms of Use](https://docs.rated.network/legal/terms/api-terms-of-service)


    [API
    Reference](https://docs.rated.network/rated-api/api-reference/introduction)
  version: '1.0'
servers: []
security: []
paths:
  /v0/polygon/delegators/{delegator_address}/rewards:
    get:
      tags:
        - Polygon Delegators
      summary: Delegator Rewards
      operationId: delegator_rewards_v0_polygon_delegators__delegator_address__rewards_get
      parameters:
        - name: delegator_address
          in: path
          required: true
          schema:
            type: string
            title: Delegator Address
        - name: from
          in: query
          required: false
          schema:
            anyOf:
              - {}
              - type: 'null'
            description: >-
              The starting (highest) checkpoint or date (UTC) to return. For
              example, 41100 or 2021-01-01.
            title: From
          description: >-
            The starting (highest) checkpoint or date (UTC) to return. For
            example, 41100 or 2021-01-01.
        - name: to
          in: query
          required: false
          schema:
            anyOf:
              - {}
              - type: 'null'
            description: >-
              The ending (lowest) checkpoint or date (UTC) to return. For
              example, 41100 or 2021-01-01.
            title: To
          description: >-
            The ending (lowest) checkpoint or date (UTC) to return. For example,
            41100 or 2021-01-01.
        - name: granularity
          in: query
          required: false
          schema:
            anyOf:
              - $ref: >-
                  #/components/schemas/networks__polygon__granularity__Granularity
              - type: 'null'
            description: Checkpoint or UTC day
            title: Granularity
          description: Checkpoint or UTC day
        - name: size
          in: query
          required: false
          schema:
            type: integer
            description: >-
              Maximum number of time periods (days or checkpoint) in the
              results.
            default: 15
            title: Size
          description: Maximum number of time periods (days or checkpoint) in the results.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/PaginatedResponse_PolygonDelegatorRewards_
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Bad Request
      security:
        - HTTPBearer: []
components:
  schemas:
    networks__polygon__granularity__Granularity:
      type: string
      enum:
        - checkpoint
        - day
      title: Granularity
    PaginatedResponse_PolygonDelegatorRewards_:
      properties:
        page:
          $ref: '#/components/schemas/api__schemas__page_polygon__Page'
        total:
          type: integer
          minimum: 0
          title: Total
        data:
          items:
            $ref: '#/components/schemas/PolygonDelegatorRewards'
          type: array
          title: Data
        next:
          anyOf:
            - type: string
            - type: 'null'
          title: Next
      type: object
      required:
        - page
        - total
        - data
      title: PaginatedResponse[PolygonDelegatorRewards]
    ErrorResponse:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/Error'
          type: array
          title: Detail
      type: object
      required:
        - detail
      title: ErrorResponse
    api__schemas__page_polygon__Page:
      properties:
        from:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: From
        to:
          anyOf:
            - type: integer
            - type: string
              format: date
            - type: 'null'
          title: To
        granularity:
          anyOf:
            - $ref: '#/components/schemas/networks__polygon__granularity__Granularity'
            - type: 'null'
        size:
          anyOf:
            - type: integer
              exclusiveMinimum: 0
            - type: 'null'
          title: Size
      type: object
      title: Page
    PolygonDelegatorRewards:
      properties:
        checkpoint:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Checkpoint
        timestamp:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Timestamp
        day:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Day
        fromCheckpoint:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Fromcheckpoint
        toCheckpoint:
          anyOf:
            - type: integer
              minimum: 0
            - type: 'null'
          title: Tocheckpoint
        delegatorAddress:
          type: string
          title: Delegatoraddress
        validatorId:
          type: integer
          minimum: 0
          title: Validatorid
        rewards:
          type: string
          title: Rewards
        missedRewards:
          type: string
          title: Missedrewards
      type: object
      required:
        - delegatorAddress
        - validatorId
        - rewards
        - missedRewards
      title: PolygonDelegatorRewards
      examples:
        - checkpoint: 54664
          delegatorAddress: '0x40730f34668afcb3884f050cbc3d376a444bbe44'
          missedRewards: 75.25
          rewards: 1250.45
          validatorId: 103
        - day: '2021-09-01'
          delegatorAddress: '0x40730f34668afcb3884f050cbc3d376a444bbe44'
          fromCheckpoint: 54664
          missedRewards: 850.5
          rewards: 15000.75
          toCheckpoint: 54680
          validatorId: 103
    Error:
      properties:
        loc:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Loc
        msg:
          type: string
          title: Msg
        type:
          type: string
          title: Type
      type: object
      required:
        - msg
        - type
      title: Error
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````